import {NodeInstancePortReference} from "./node/NodeInstancePortReference";

export class Connection {
    readonly id: number

    readonly source: NodeInstancePortReference
    readonly target: NodeInstancePortReference

    setSource(endpoint: NodeInstancePortReference): void

    setTarget(endpoint: NodeInstancePortReference): void
}
